/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2023/10/31
 */
package org.ts.ddcs.metadata.szy;

/***
 * Date:2023/10/31
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public enum  SzyFlowRateMetadataEnum {
    /**
     * 接收时间
     */
    METADATA_FROM_TIME("FROM_TIME", "from_time"),

    /**
     * 采集时间
     */
    METADATA_COLLECT_TIME("TM", "tm"),

    /**
     * 上报时间
     */
    METADATA_UP_TIME("UP_TIME", "up_time"),
    /**
     * 测站编码
     */
    METADATA_RTU_CODE("RTU_CODE", "rtu_code"),
    /**
     * 瞬时流量
     */
    METADATA_CODE_Q("q", "q"),
    /**
     * 累计流量
     */
    METADATA_CODE_ACC_Q("acc_q", "acc_q"),
    /**
     * 1小时用水量
     */
    METADATA_CODE_HOUR_Q("hour_q", "hour_q"),
    /**
     * 1小时累计流量
     */
    METADATA_CODE_HOUR_ACC_Q("hour_acc_q", "hour_acc_q")
    ;

    private String code;

    private String name;

    SzyFlowRateMetadataEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**
     * 根据CODE查名称
     *
     * @param code
     * @return
     */
    public static String getName(String code) {
        for (SzyFlowRateMetadataEnum point : SzyFlowRateMetadataEnum.values()) {
            if (code.equals(point.getCode())) {
                return point.getName();
            }
        }
        return "";
    }

    /**
     * 根据名称查代码
     *
     * @param name
     * @return
     */
    public static String getCode(String name) {
        for (SzyFlowRateMetadataEnum point : SzyFlowRateMetadataEnum.values()) {
            if (name.equals(point.getName())) {
                return point.getCode();
            }
        }
        return "";
    }
}
